ALTER TABLE TIME_FORMAT_CONFIG ADD CONSTRAINT FK_TIME_FORMAT_CONFIG_TIME_TRA FOREIGN KEY (TR_ID) REFERENCES TIME_TRANSCODING_TR (TR_ID)
ON DELETE CASCADE
;
ALTER TABLE TIME_FORMAT_CONFIG ADD CONSTRAINT FK_TIME_FORMAT_DURATION FOREIGN KEY (DURATION_MAP) REFERENCES COMPONENT_MAPPING (MAP_ID)
;
ALTER TABLE TIME_FORMAT_CONFIG ADD CONSTRAINT FK_TIME_FORMAT_CONFIG_START FOREIGN KEY (START_CONF) REFERENCES TIME_PARTICLE_CONFIG (TPC_ID)
;
ALTER TABLE TIME_FORMAT_CONFIG ADD CONSTRAINT FK_TIME_FORMAT_CONFIG_END FOREIGN KEY (END_CONF) REFERENCES TIME_PARTICLE_CONFIG (TPC_ID)
;
